Preview version for Mac 10.11 or 10.12?


#1

Tried installing the preview version 1.2.1015 on OS X 10.11 (El Capitan) but the installer says it needs 10.12 (Sierra). The download page says it's 10.11+ so I was wondering which one is right?

Thanks!


#2

I believe it's 10.11, per @kevinushey's answer here, too.


I don't have 10.11 to test, but hopefully the IDE team can clear this up. There was an unintentional 10.12 requirement, but I believe that's been patched:

I wonder if it's fixed in the dailies but not in preview for some reason:
https://dailies.rstudio.com/

Thanks for reporting.


#3

We're now tracking this at https://github.com/rstudio/rstudio/issues/3605 -- our original goal was to support El Capitan if possible; we'll have to re-evaluate that and see if we can indeed still accomplish this.


#4

Great, thanks for the quick responses. So for anyone landing here it looks like it'll be 10.12 going forwards but we'll see what happens. Thanks again.